<?php

if ( ! defined( 'ABSPATH' ) ) exit;


add_action( 'init',  'ppb_registerGlobalRowPostType' );
function ppb_registerGlobalRowPostType() {

	$labels_two = array(
		'name'                => __( 'Global Rows', 'pbp-ps-cpt' ),
		'singular_name'       => __( 'Global Rows', 'pbp-ps-cpt' ),
		'all_items'       	  => __( 'All Global Rows', 'pbp-ps-cpt' ),
		'add_new'             => _x( 'Add Global Row', 'pbp-ps-cpt', 'pbp-ps-cpt' ),
		'add_new_item'        => __( 'Add Global Row', 'pbp-ps-cpt' ),
		'edit_item'           => __( 'Edit Global Row', 'pbp-ps-cpt' ),
		'new_item'            => __( 'New Global Row', 'pbp-ps-cpt' ),
		'view_item'           => __( 'View Global Row', 'pbp-ps-cpt' ),
		'search_items'        => __( 'Search Global Rows', 'pbp-ps-cpt' ),
		'not_found'           => __( 'No Global Rows found', 'pbp-ps-cpt' ),
		'not_found_in_trash'  => __( 'No Global Rows found in Trash', 'pbp-ps-cpt' ),
		'parent_item_colon'   => __( 'Parent Global Row:', 'pbp-ps-cpt' ),
		'menu_name'           => __( 'Global Rows', 'pbp-ps-cpt' ),
	);

	$args_one = array(
		'labels'              => $labels_two,
		'hierarchical'        => false,
		'description'         => 'Global Rows For Your PluginOps Page Builder',
		'taxonomies'          => array(),
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => false,
		'show_in_admin_bar'   => false,
		'menu_position'       => null,
		'menu_icon'           => ULPB_PLUGIN_URL.'/images/dashboard/page-builder-templates-icon.png',
		'show_in_nav_menus'   => true,
		'publicly_queryable'  => true,
		'exclude_from_search' => false,
		'has_archive'         => true,
		'query_var'           => true,
		'can_export'          => true,
		'rewrite'             => true,
		'capability_type'     => 'post',
		'supports'            => array(
			'title'
			)
	);

	register_post_type( 'ulpb_global_rows', $args_one );
}


add_action( 'wp_ajax_ulpb_insert_global_row_content', 'ulpb_insert_global_row_content' );

function ulpb_insert_global_row_content(){
	function check_input($data){
	    $data = trim($data);
	    $data = stripslashes($data);
	    $data = htmlspecialchars($data);
	    return $data;
	}

	$data = json_decode( file_get_contents( 'php://input' ), true );
	$GRowData = $data;
	$globalRowTitle = $data['globalRowTitle'];

	if (isset($GRowData['globalRow']) ) {
		if ($GRowData['globalRow']['isGlobalRow'] == true ) {
			$idForPost = $GRowData['globalRow']['globalRowPid'];
			$pbGRpost = array(
			  'ID'            => wp_strip_all_tags( $idForPost ),
			  'post_title'    => wp_strip_all_tags( $globalRowTitle ),
			  'post_status'   => 'publish',
			  'post_type'     => 'ulpb_global_rows'
			);
			$insertedPostId = wp_insert_post( $pbGRpost, $wp_error = false );
		}
	} else{

		$pbGRpost = array(
		  'post_title'    => wp_strip_all_tags( $globalRowTitle ),
		  'post_status'   => 'publish',
		  'post_type'     => 'ulpb_global_rows'
		);
		$insertedPostId = wp_insert_post( $pbGRpost, $wp_error = false );

	}

	

	

	$pageOptions = json_decode('{"pageID":"'.$insertedPostId.'","postType":"ulpb_global_rows","pageLink":"","pageTitle":"","pageStatus":"draft","pageBuilderVersion":"1.5.3","pageOptions":{"setFrontPage":"false","loadWpHead":"false","loadWpFooter":"true","pageBgImage":"","pageBgColor":"transparent","pageLink":"new-template","pagePadding":{"pagePaddingTop":"0","pagePaddingBottom":"0","pagePaddingLeft":"0","pagePaddingRight":"0"},"pageSeoName":"'.wp_strip_all_tags( $globalRowTitle ).'","pageSeoDescription":"","pageSeoKeywords":"","pageLogoUrl":"","pageFavIconUrl":"","VariantB_ID":null},"formMailchimp":{"listId":"","apiKey":""},"Rows":{} }', true);

	$pageOptions['Rows'][0] = $GRowData;
	$pageOptions['Rows'][0]['globalRow']['isGlobalRow'] = true;
	$pageOptions['Rows'][0]['globalRow']['globalRowPid'] = $insertedPostId;

    update_post_meta( $insertedPostId, 'ULPB_DATA', $pageOptions );

    echo $insertedPostId;
    exit();
}

add_action( 'admin_enqueue_scripts', 'popbExt_menu_globalRow' );

function popbExt_menu_globalRow( ) {
	wp_register_script( 'popbExt_menu_globalRow_enqueue', plugins_url( '',plugin_basename( __FILE__ ) ).'/menu.js', array( 'jquery' ), false, true );

	wp_localize_script( 'popbExt_menu_globalRow_enqueue', 'popb_site_url',  array( 'siteurl' => admin_url().'edit.php?post_type=ulpb_global_rows' ) );

	wp_enqueue_script( 'popbExt_menu_globalRow_enqueue' );
}

//add_action('admin_menu','pbp_hookGlobalRowMenu' );


?>